%define ver 0.6.0
%define rel 3

Summary:	CCT v%{ver}-%{rel} for RedHat Linux
Version: 	%ver
Release:	%rel
Name:		cct
Requires:	tetex tetex-fonts tetex-latex cct-fonts
#Requires:	tetex-xdvi tetex-dvips
# -- cctpace.c requires the kpse headers and libs
BuildRequires:	tetex
# -- 'cct-redhat6x' is the name used in old CCT packages
Provides:	cct-redhat6x cct
Group:		Applications/Publishing
Source:		cctlinux-%{ver}.tar.bz2
URL:		ftp://lsec.cc.ac.cn/pub/cct
Packager:	Zhang Lin-bo <zlb@lsec.cc.ac.cn>
License:	non-commercial use
BuildRoot:	/var/tmp/cct-%{ver}-root

%description

CCT is a set of programs which adds Chinese support to
an existing TeX system. This package is designed to work
with RedHat teTeX distribution.

This RPM distribution contains cct-0.6.0 and ctex-0.2.4.

%prep
%setup -q -n cctlinux-%{ver}

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
make prefix=%{_prefix} install_root=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
cctinit >/dev/null 2>&1
texhash

%preun
# Note: these commands seem to be executed after 'post', thus
#	they may remove the newly created files when upgrading.
#rm -f %{_prefix}/share/texmf/tex/cct/cchead.sty \
#	%{_prefix}/share/texmf/fonts/tfm/cct/cc{fnt[a-z],dummy}.tfm \
#	%{_prefix}/share/texmf/fonts/cct/pk/*

%postun
texhash

%files
%defattr(-,root,root)
%dir %{_prefix}/share/texmf/fonts/tfm/cct
%config %{_prefix}/bin/cct.ini
%config %{_prefix}/bin/cctinit.ini
%config %{_prefix}/share/texmf/tex/cct/CCT.cfg
%config %{_prefix}/share/texmf/tex/cct/CCT047.cfg
%config %{_prefix}/share/texmf/tex/cct/cctspace.cfg
%config %{_prefix}/share/texmf/tex/cct/cct.dat
%config %{_prefix}/share/texmf/tex/cct/clib256e.tbl
%config %{_prefix}/share/texmf/tex/cct/gbkdef.tbl
%config %{_prefix}/share/texmf/tex/cct/gbksong.tbl
%config %{_prefix}/share/texmf/tex/cct/gbkhei.tbl
%config %{_prefix}/share/texmf/tex/cct/gbkkai.tbl
%config %{_prefix}/share/texmf/tex/cct/gbkfs.tbl
%config %{_prefix}/share/texmf/tex/cct/gbkbs.tbl
%config %{_prefix}/share/texmf/tex/cct/gbkli.tbl
%config %{_prefix}/share/texmf/tex/cct/gbkyou.tbl
%{_prefix}/bin/bmf2pcx
%{_prefix}/bin/bmf2tif
%{_prefix}/bin/cct
%{_prefix}/bin/cctamstex
%{_prefix}/bin/cctconv
%{_prefix}/bin/cctinit
%{_prefix}/bin/cctlatex
%{_prefix}/bin/cctpdflatex
%{_prefix}/bin/cctpdftex
%{_prefix}/bin/cctspace
%{_prefix}/bin/ccttex
%{_prefix}/bin/ctex
%{_prefix}/bin/dvipsc
%{_prefix}/bin/gbk2uni
%{_prefix}/bin/patchchk
%{_prefix}/bin/patchdvi
%{_prefix}/bin/text2dvi
%{_prefix}/bin/uncct
%{_prefix}/bin/xdvic
%{_prefix}/bin/eps2pdf
%{_prefix}/bin/fonttest
%{_prefix}/bin/charcnt
%{_prefix}/bin/GBKpunct
%{_prefix}/share/doc/cct/*
%{_prefix}/share/texmf/tex/cct/CCT.sty
%{_prefix}/share/texmf/tex/cct/CCT047.sty
%{_prefix}/share/texmf/tex/cct/CJKCCT.sty
%{_prefix}/share/texmf/tex/cct/cctart.cls
%{_prefix}/share/texmf/tex/cct/cctbase.sty
%{_prefix}/share/texmf/tex/cct/cctbook.cls
%{_prefix}/share/texmf/tex/cct/hzcmd.sty
%{_prefix}/share/texmf/tex/cct/CCTty.sty

%changelog

* Thu Feb 12 2004 Zhang Linbo <zlb@lsec.cc.ac.cn>

- added files /usr/share/texmf/tex/cct/gbk{li,you}.tbl

* Sat Dec 20 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- add files /usr/share/doc/cct/CCTLaTeX.{tex,pdf}

* Sun Aug 24 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- upgrade to CCT.sty 0.6.0

- lines containing 'CCTdebug' are removed from CCT.sty in the distribution

* Thu Aug 14 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- CCT.sty upgraded to 0.4.7

* Fri Aug 08 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- xdvic: '-nofork' option removed for compatibility with older versions
  of xdvik.

* Sat Jun 21 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- ctex 0.2.1 (source filenames in .log and .dvi files are automatically
  restored)

* Mon Apr 21 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- preun: keep the files 'cchead.sty', 'ccdummy.tfm', and 'ccfnt*.tfm',
  (otherwise the newly generated files will be removed when upgrading).

  Note: need to run 'rpm -Uvh --force cct*.rpm' twice if upgrading from
  an older version of cct.

* Thu Mar 06 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- create src.rpm

- new versions of cct, cctinit, cctspace, cctconv, and patchdvi
  (minor bug fixes and enhancements).

- replace the 'cct*tex' scripts with symbolic links to 'ctex'.

* Mon Jan 30 2003 Zhang Linbo <zlb@lsec.cc.ac.cn>

- cct, cctinit upgraded to v5.15 (the new version does
  not insert spaces before or after '~')

- new cctart.cls and cctbook.cls based on CCT.sty

